Plesk\backup\Agent\Schema\Backup\Events\EventsAType\EventAType:
    properties:
        name:
            expose: true
            access_type: public_method
            serialized_name: name
            accessor:
                getter: getName
                setter: setName
            xml_attribute: true
            type: string
        description:
            expose: true
            access_type: public_method
            serialized_name: description
            accessor:
                getter: getDescription
                setter: setDescription
            xml_attribute: true
            type: string
        enabled:
            expose: true
            access_type: public_method
            serialized_name: enabled
            accessor:
                getter: getEnabled
                setter: setEnabled
            xml_attribute: true
            type: string
        handler:
            expose: true
            access_type: public_method
            serialized_name: handler
            xml_element:
                cdata: false
            accessor:
                getter: getHandler
                setter: setHandler
            xml_list:
                inline: true
                entry_name: handler
            type: array<Plesk\backup\Agent\Schema\Backup\Events\EventsAType\EventAType\HandlerAType>
